# Uses of Interface
com.usatiuk.dhfs.invalidation.Op

Packages that use Op
Package
Description
com.usatiuk.dhfs
com.usatiuk.dhfs.invalidation
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.rpc

## Uses of Op in com.usatiuk.dhfs

Methods in com.usatiuk.dhfs that return Op
Modifier and Type
Method
Description
`Op`
TemporaryOpSerializer.`deserialize(OpP message)`
Methods in com.usatiuk.dhfs with parameters of type Op
Modifier and Type
Method
Description
`OpP`
TemporaryOpSerializer.`serialize(Op object)`

## Uses of Op in com.usatiuk.dhfs.invalidation

Classes in com.usatiuk.dhfs.invalidation with type parameters of type Op
Modifier and Type
Interface
Description
`interface`
`OpHandler<T extends Op>`
Classes in com.usatiuk.dhfs.invalidation that implement Op
Modifier and Type
Class
Description
`final record`
`IndexUpdateOp`
Methods in com.usatiuk.dhfs.invalidation that return types with arguments of type Op
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
OpExtractor.`extractOps(T data, PeerId peerId)`
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
OpExtractorService.`extractOps(JData data, PeerId peerId)`
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
RemoteObjectMetaOpExtractor.`extractOps(RemoteObjectMeta data, PeerId peerId)`
Methods in com.usatiuk.dhfs.invalidation with parameters of type Op
Modifier and Type
Method
Description
`void`
OpHandlerService.`handleOp(PeerId from, Op op)`

## Uses of Op in com.usatiuk.dhfs.jkleppmanntree

Classes in com.usatiuk.dhfs.jkleppmanntree that implement Op
Modifier and Type
Class
Description
`final record`
`JKleppmannTreeOpWrapper`
`final record`
`JKleppmannTreePeriodicPushOp`
Methods in com.usatiuk.dhfs.jkleppmanntree that return Op
Modifier and Type
Method
Description
`Op`
JKleppmannTreeManager.JKleppmannTree.`getPeriodicPushOp()`
Methods in com.usatiuk.dhfs.jkleppmanntree that return types with arguments of type Op
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
JKleppmannTreeOpExtractor.`extractOps(JKleppmannTreePersistentData data, PeerId peerId)`
`List<Op>`
JKleppmannTreeManager.JKleppmannTree.`getPendingOpsForHost(PeerId host, int limit)`
Methods in com.usatiuk.dhfs.jkleppmanntree with parameters of type Op
Modifier and Type
Method
Description
`void`
JKleppmannTreeManager.JKleppmannTree.`acceptExternalOp(PeerId from, Op op)`
`void`
JKleppmannTreeManager.JKleppmannTree.`commitOpForHost(PeerId host, Op op)`

## Uses of Op in com.usatiuk.dhfs.rpc

Method parameters in com.usatiuk.dhfs.rpc with type arguments of type Op
Modifier and Type
Method
Description
`OpPushReply`
RemoteObjectServiceClient.`pushOps(PeerId target, List<Op> ops)`